cpustat (0.02.11-1) unstable; urgency=medium

  * Makefile: bump version
  * Debian/control: add Rules-Requires-Root: no
  * debian/control: update to compat 13
  * cpustat: zero ws struct to clear static analysis warnings

 -- Colin King <colin.king@canonical.com>  Sat, 4 Jul 2020 10:33:32 +0100

cpustat (0.02.10-1) unstable; urgency=medium

  * Makefile: bump version
  * Makefile: add bash-completion to make dist rule
  * Add bash completion script
  * Update copyright to 2020
  * snapcraft: add automatic versioning

 -- Colin King <colin.king@canonical.com>  Sun, 23 Feb 2020 23:25:22 +0000

cpustat (0.02.09-1) unstable; urgency=medium

  * Makefile: bump version
  * Makefile: remove -g flag
  * Avoid division by zero if total is zero

 -- Colin King <colin.king@canonical.com>  Tue, 30 Jul 2019 13:18:23 +0100

cpustat (0.02.08-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix strncpy string size
  * Reduce scope of variable i
  * Update copyright year

 -- Colin King <colin.king@canonical.com>  Tue, 9 Jul 2019 11:51:12 +0100

cpustat (0.02.07-1) unstable; urgency=medium

  * Makefile: bump version
  * Re-arrange fields in structs to pack data more efficiently

 -- Colin King <colin.king@canonical.com>  Wed, 24 Oct 2018 09:22:22 +0100

cpustat (0.02.06-1) unstable; urgency=medium

  * Makefile: bump version
  * Makefile: add .travis.yml to make dist rule
  * debian/watch: change .gz to .xz
  * Makefile: remove .xz tarball on make dist rule
  * Makefile: generate .xz tarball and not .gz as it compresses better
  * Makefile: rename snapcraft to snap in make dist rule
  * Don't show CPU frequency if it cannot be read
  * Rename snapcraft directory to snap
  * Add travis yaml file

 -- Colin King <colin.king@canonical.com>  Thu, 6 Sep 2018 08:42:45 +0100

cpustat (0.02.05-1) unstable; urgency=medium

  * Makefile: bump version
  * debian/copyright: use secure URI
  * debian/control: remove empty line at end of file
  * debian/compat: set to 11
  * debian/control: set debhelper version >= 11
  * voidify function returns
  * constify cpu_freq_scale
  * Minor code clean ups
  * Add more constifcations to functions and arrays
  * Fix the time scaling, use base 60 where necessary
  * Fix leading zeros on time data

 -- Colin King <colin.king@canonical.com>  Thu, 14 Jun 2018 18:46:12 +0100

cpustat (0.02.04-1) unstable; urgency=medium

  * Makefile: bump version
  * debian/control: update Standards-Version to 4.1.2
  * Remove redundant initialization of pointer 'str'
  * Use sizeof on object
  * Make array index variables size_t
  * Use SIZEOF_ARRAY on cpu_freq_scale rather than a terminator marker
  * Update copyright year

 -- Colin King <colin.king@canonical.com>  Wed, 31 Jan 2018 10:49:22 +0000

cpustat (0.02.03-1) unstable; urgency=medium

  * Makefile: bump version
  * Manual: update copyright year and manual date
  * Add variable pid size handling.
  * Voidify close/fclose calls

 -- Colin King <colin.king@canonical.com>  Sat, 15 Apr 2017 07:17:27 +0100

cpustat (0.02.02-1) unstable; urgency=medium

  * Makefile: bump version
  * Remove some redundant pointer increments
  * Update copyright year
  * Add libncursesw5-dev to snapcraft yaml
  * Don't do a resize() in SIGWINCH signal handler

 -- Colin King <colin.king@canonical.com>  Wed, 1 Mar 2017 23:28:27 +0000

cpustat (0.02.01-1) unstable; urgency=medium

  * Makefile: bump version
  * Remove df_putc, we don't use it now
  * Minor cleanup, add more comments
  * Remove another slow snprintf in cpu_freq_format
  * Generalise putdouble_point1 to n decimal places, rename putdec to putint
  * Remove another snprintf from proc_stat_dump
  * Add command and spacing before Freq Avg text
  * Remove another use of expensive sprintf
  * Add putuint helper and remove another overly used snprintf
  * Fix incorrect closing square bracket around kernel thread
  * Remove another snprintf and replace with more optimal code
  * Add some minor optimisations
  * Optimise printing so we don't use printf which is expensive
  * Add comments to putdec function
  * Generalise putdec function to handle any decimal sized string
  * Use inline popcount to count bits
  * Ensure in top mode we don't fall off bottom of terminal

 -- Colin King <colin.king@canonical.com>  Tue, 6 Dec 2016 12:04:42 +0000

cpustat (0.02.00-1) unstable; urgency=medium

  * Makefile: bump version to 0.02.00
  * Debian control: add libncurses5-dev to Build-Depends
  * Fix timestamp output
  * Retry select sleep if we have some pending sleep time
  * Minor reworking to handle optimal refreshing and size refetching
  * Default winsize if we can't fetch it, and fetch size on setup
  * Handle display modes using display_function_t handlers
  * Add -X top like mode
  * Ensure large integer constant is ULL

 -- Colin King <colin.king@canonical.com>  Sun, 4 Dec 2016 20:55:21 +0000

cpustat (0.01.29-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix variable shadowing on variable duration
  * Use FLOAT_CMP helper macro to perform slop on float compares
  * Constify variables in sort compare helper
  * Makefile: add PEDANTIC build flags

 -- Colin King <colin.king@canonical.com>  Wed, 2 Nov 2016 14:24:41 -0600

cpustat (0.01.28-1) unstable; urgency=medium

  * Makefile: bump version
  * Makefile: add mascot and snapcraft directories to make dist rule
  * cpustat: only add pid info to hash table if it is new (LP: #1631050)
  * snapcraft: Makefile: fix removal errors of snap files
  * snapcraft: Makefile: add auto versioning
  * snapcraft.yaml: add build-packages
  * Add snapcraft Makefile
  * Add cpustat pngs
  * mascot: small resize to ensure it scales perfectly to 128x128
  * Add cpustat mascot

 -- Colin King <colin.king@canonical.com>  Thu, 6 Oct 2016 17:30:00 +0100

cpustat (0.01.27-1) unstable; urgency=medium

  * Makefile: bump version
  * debian/control: update standards version to 3.9.8

 -- Colin King <colin.king@canonical.com>  Thu, 5 May 2016 13:49:16 +0100

cpustat (0.01.26-1) unstable; urgency=medium

  * Makefile: bump version
  * Update date in manual
  * debian/control: update standards version to 3.9.7
  * Fix spelling mistake in manual, onlt -> only
  * Update copyright year to 2016

 -- Colin King <colin.king@canonical.com>  Thu, 28 Apr 2016 10:10:10 +0100

cpustat (0.01.25-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix division by zero error when total_ticks is zero (LP: #1506156)

 -- Colin King <colin.king@canonical.com>  Wed, 14 Oct 2015 18:40:00 +0100

cpustat (0.01.24-1) unstable; urgency=medium

  * Makefile: bump version
  * Makefile: remove dist tarball on make clean
  * check if sample_delta_list_tail is null rather than the head
  * Don't initialise duration, it gets set later
  * Remove another dead assignment to sdi
  * Remove dead assignment to sdi
  * Remove dead assignment to cs

 -- Colin King <colin.king@canonical.com>  Wed, 9 Sep 2015 11:39:42 +0100

cpustat (0.01.23-1) unstable; urgency=medium

  * Makefile: bump version
  * debian/control: fix section field, set to admin
  * debian/control: fix architecture; change to linux-any
  * debian/copyright: fix upstream name field

 -- Colin King <colin.king@canonical.com>  Tue, 18 Aug 2015 20:47:00 -0700

cpustat (0.01.22-1) unstable; urgency=medium

  * Prepare for inital upload to Debian: (Closes: #795914)
  * debian/copyright: update format field
  * debian/control: change email address
  * Makefile: bump version

 -- Colin King <colin.king@canonical.com>  Mon, 17 Aug 2015 15:11:38 -0700

cpustat (0.01.21-1) unstable; urgency=medium

  * Makefile: bump version
  * Update debian/compat and control to version 9 and add Homepage
  * Update manual, rewrite some sections and add an extra example
  * Add README
  * Some minor tweaks for 80 char wide tty formatting
  * Remove debian/cpustat.install, not needed now
  * Make bindir /usr/sbin
  * Update year in debian/copyright
  * Re-work debian/control description text
  * Don't scale blocked and running
  * Scale proc stats by duration
  * Scale distribution of CPU utilisation per CPU appropriately

 -- Colin King <colin.king@canonical.com>  Fri, 14 Aug 2015 19:40:00 +0100

cpustat (0.01.20-1) unstable; urgency=medium

  * Makefile: bump version
  * Remove double scaling by duration in stats

 -- Colin King <colin.king@canonical.com>  Fri, 14 Aug 2015 13:43:33 +0100

cpustat (0.01.19-1) unstable; urgency=medium

  * Makefile: bump version
  * Minor fixes that got introduced over the past week:
  * Make proc_stat scanning more efficient and do only when -x selected
  * Add Author in comment block
  * Makefile: Add copyright and comment on some useful gcc options
  * Init cpu_info_t fields
  * Nullify sdl->sample_delta_item_list, re-arrange some fields
  * Add LIKELY/UNLIKELY optimisation hints
  * Optimise cpu_info_find, don't alloc comm field anymore
  * Use malloc instead of calloc since we fill all the fields in the structs
  * Pass cpu_stat info into cpu_stat_add and replace calloc with malloc
  * Hash on comm and pid rather than making up an ident
  * Optimise parsing in cpus_online
  * Avoid call to sample_add if not required
  * Fix theoretical overflow
  * Correct toctou on cmdline
  * Avoid division by zero on total_ticks
  * Ensure end of buffer is null terminated
  * Remove redundant d > 9 check, will never happen with a modulo 10
  * Fix fd leak
  * Fix % output in banner now that we are not using printf
  * Use optimised string to integer parsing as this occurs frequently
  * Save ~2000 cycles per banner dump
  * Optimise load_average to not use sscanf(), saves ~200K cycles
  * Optimise /proc/$pid/stat parsing, saves ~500K cycles per iteration
  * Make pid hash table relatively large prime
  * Re-use old PIDs infos
  * More optimisations
  * Add some minor speed optimisations, saves a few million cycles
  * Add new tasks rate stat in -x option output
  * Add width specifier in scanf
  * Remove proc_stat alloca()
  * Remove alloca in cpu_distribution
  * Reduce scope of buffer
  * Make pid_info_hash_free static
  * Add more comments
  * Fix accuracy in ticks when accumulating ticks with interrupted select
  * Use uint64_t as clock ticks type
  * Break out of proc_stat parsing when we have all the necessary data
  * double_to_timeval: pass tv rather than return it.
  * Add more comments
  * Enhance distribution stats and expand manual
  * Pass nr_ticks rather than re-compute it
  * Minor correction in manual
  * Add caching to proc cmdline
  * Don't add to sorted list cpu_stats with zero total time
  * Reduce scope of buffer
  * Add more comments
  * Add alloca failure checks
  * Correct division in cpu freq computation
  * Add some /proc/stat stats with -x option
  * Correct the life time of the process stats in grand total
  * Add State (S), Processor and Time used stats
  * Minor re-formatting
  * Add -x option (extra CPU info)
  * Add -D distribution option
  * Add -g option

 -- Colin King <colin.king@canonical.com>  Fri, 14 Aug 2015 13:11:35 +0100

cpustat (0.01.18-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix memleak in cpu info cmdline
  * Forgot to add cpu info onto the hash table
  * Append sdls to the sample delta list rather than prepend them
  * Fix missing cpu list length increment
  * Make source 80 chars wide tty friendly
  * Re-arrange fields in structs for better alignment

 -- Colin King <colin.king@canonical.com>  Thu, 6 Aug 2015 23:41:11 +0100

cpustat (0.01.17-1) unstable; urgency=medium

  * Makefile: bump version
  * Add -O2 for default optimisation level
  * free cmdline if it is not the same as comm field
  * Add some GCC optimisation hints
  * Reduce hash table size, reduced cache stalls
  * Re-use old cpu_stat_t via a free list
  * Re-organise lists, remove extra level of indirection
  * Use a hash on cpu_info's to do far faster lookup
  * Use a more efficient hash

 -- Colin King <colin.king@canonical.com>  Tue, 30 Jun 2015 22:07:00 +0100

cpustat (0.01.16-1) unstable; urgency=medium

  * Makefile: bump version
  * Remove SIGILL, SIGABRT sighandling

 -- Colin King <colin.king@canonical.com>  Mon, 18 May 2015 00:18:00 +0100

cpustat (0.01.15-1) unstable; urgency=medium

  * Makefile: bump version
  * Add copyright and a few more refs to manual
  * Minor tidyup and ensuring duration is sharp
  * Add a timestamp -S option
  * Handle time deltas more exactly, this is required if cpustat gets suspended
  * Fix whence so that we get real wall clock time in whence field
  * Remove commented out cruft

 -- Colin King <colin.king@canonical.com>  Fri, 13 Feb 2015 00:18:00 +0000

cpustat (0.01.14-1) unstable; urgency=medium

  * Makefile: bump version
  * Cater for when cpustat is suspended by ^S and we need to play catch-up

 -- Colin King <colin.king@canonical.com>  Thu, 5 Feb 2015 11:37:00 +0000

cpustat (0.01.13-1) unstable; urgency=medium

  * Makefile: bump version again
  * Install to /usr/sbin
  * Fix man page date and section

 -- Colin King <colin.king@canonical.com>  Thu, 15 Jan 2015 12:10:00 +0000

cpustat (0.01.12-1) unstable; urgency=medium

  * Makefile: bump version
  * Update copyright year
  * Replace whence timeval with double, simplifies code
  * Add more accurate time keeping
  * Constify more func args
  * Wrap -h help info
  * Remove trapping SIGSEGV and SIGBUS
  * We don't need special privileges to read /proc/$pid/stat

 -- Colin King <colin.king@canonical.com>  Thu, 15 Jan 2015 11:57:00 +0000

cpustat (0.01.11-1) unstable; urgency=medium

  * Makefile: bump version
  * Debian control: update standards version
  * Use inttypes for count and n_lines
  * Improve signal handling
  * Add in some whitespace for formatting
  * Improve error handling
  * Use suseconds_t for nsec conversions
  * Make total uint64_t
  * Add some more func comments
  * Ignore returns from close, fclose, etc
  * Use int64 types for stats

 -- Colin King <colin.king@canonical.com>  Fri, 19 Dec 2014 21:34:00 +0000

cpustat (0.01.10) unstable; urgency=medium

  * Makefile: bump version
  * Add -p option
  * Add -T option to man page
  * Add -T total utilisation option
  * Add some more comments
  * Fix -Wall warnings
  * Add in flags to enable debian build flags
  * Fix spelling mistake

 -- Colin King <colin.king@canonical.com>  Wed, 6 Aug 2014 00:29:12 +0100

cpustat (0.01.09) unstable; urgency=medium

  * Makefile: bump version
  * Make stats fields 1 char wider
  * Add the -a option

 -- Colin King <colin.king@canonical.com>  Wed, 21 May 2014 17:11:11 +0100

cpustat (0.01.08) unstable; urgency=low

  * Makefile: bump version
  * constify some more func params
  * Show help and exit on invalid option
  * constify count_bits arg
  * Add overflow/underflow checking for count arg
  * Add overflow/underflow checking for -n option

 -- Colin King <colin.king@canonical.com>  Mon, 19 May 2014 08:16:38 +0100

cpustat (0.01.07) unstable; urgency=low

  * Makefile: bump version
  * debian: add source/format file
  * debian: add watch file
  * debian: copyright: update License field
  * debian: control: update Standards-Version field
  * debian: control: update description field
  * Makefile: use new dist rules
  * Add COPYING file
  * Add extra cmdline information and options to select appropriate output

 -- Colin King <colin.king@canonical.com>  Wed, 23 Apr 2014 18:13:00 +0100

cpustat (0.01.06) unstable; urgency=low

  * Bump version
  * Avoid any sscanf field overruns
  * Reduce scope of some variables
  * Update copyright year

 -- Colin King <colin.king@canonical.com>  Wed, 5 Mar 2014 09:33:00 +0000

cpustat (0.01.05) unstable; urgency=low

  * Makefile: bump version
  * cpustat: dump out %user and %system times too
  * cpustat: check return from fscanf()

 -- Colin King <colin.king@canonical.com>  Thu, 18 Jul 2013 15:44:40 +0100

cpustat (0.01.04) unstable; urgency=low

  * Makefile: bump version again
  * debian/rules: add override_dh_auto_build rule
  * debian/copyright: update year
  * debian/control: fix cut-n-paste error
  * Makefile: add dist rule

 -- Colin King <colin.king@canonical.com>  Tue, 25 Jun 2013 18:34:38 +0100

cpustat (0.01.03) unstable; urgency=low

  * Makefile: bump version
  * add version
  * cpustat.c: make threshold double
  * cpustat.c: small amount of code tidying up
  * cpustat.c: fix stats on SIGINT and missing first stats issue
  * cpustat.c: update copyright year
  * cpustat.c: minor formatting fix

 -- Colin King <colin.king@canonical.com>  Tue, 25 Jun 2013 18:27:02 +0100

cpustat (0.01.02) precise; urgency=low

  * Tidy up lists
  * Add -i option

 -- Colin King <colin.king@canonical.com>  Tue, 27 Dec 2011 11:43:00 +0000

cpustat (0.01.01) precise; urgency=low

  * Init lists

 -- Colin King <colin.king@canonical.com>  Mon, 26 Dec 2011 10:20:00 +0000

cpustat (0.01.00) precise; urgency=low

  * Initial version

 -- Colin King <colin.king@canonical.com>  Wed, 21 Dec 2011 01:15:00 +0000
